Ancestry Library Edition no longer supports Internet Explorer 7

As of August 1st, 2013, Ancestry Library Edition will no longer support Internet Explorer 7. Ancestry Library Edition is compatible with Internet Explorer 8 and higher, as well as the latest versions of Mozilla Firefox and Google Chrome. If you are having problems, please upgrade your browser or switch to another.